MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
Java::LocalRef< T > Class Template Reference

Hold a local reference on a JNI object. More...

`#include <Ref.hxx>`

Inheritance diagram for Java::LocalRef< T >:
[legend]

## Public Member Functions
| LocalRef (JNIEnv *_env, T _value)
| The local reference is obtained by the caller. More...
| ~LocalRef ()
| LocalRef (const LocalRef &other)=delete
LocalRef & | operator= (const LocalRef &other)=delete
T | Get () const
| operator T () const

## Detailed Description

### template<typename T>
class Java::LocalRef< T >

Hold a local reference on a JNI object.

Definition at line 44 of file Ref.hxx.

## Constructor & Destructor Documentation

template<typename T>

Java::LocalRef< T >::LocalRef | ( | JNIEnv * | _env,
|  | T | _value
| ) |  |
| inline

The local reference is obtained by the caller.

Definition at line 52 of file Ref.hxx.

template<typename T>

Java::LocalRef< T >::~LocalRef | ( |  | ) |
| inline

Definition at line 57 of file Ref.hxx.

template<typename T>

Java::LocalRef< T >::LocalRef | ( | const LocalRef< T > & | other | ) |
| delete

## Member Function Documentation

template<typename T>

T Java::LocalRef< T >::Get | ( |  | ) | const
| inline

Definition at line 64 of file Ref.hxx.

template<typename T>

Java::LocalRef< T >::operator T | ( |  | ) | const
| inline

Definition at line 68 of file Ref.hxx.

template<typename T>

LocalRef& Java::LocalRef< T >::operator= | ( | const LocalRef< T > & | other | ) |
| delete

The documentation for this class was generated from the following file:

- java/Ref.hxx